org.springframework.web.socket.config.annotation

## Class WebSocketConfigurationSupport

- java.lang.Object
- - org.springframework.web.socket.config.annotation.WebSocketConfigurationSupport

Direct Known Subclasses:
  DelegatingWebSocketConfiguration

    public class WebSocketConfigurationSupport
    extends Object

Configuration support for WebSocket request handling.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`WebSocketConfigurationSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods

`org.springframework.scheduling.TaskScheduler`

`defaultSockJsTaskScheduler()`
The default TaskScheduler to use if none is registered explicitly via `SockJsServiceRegistration.setTaskScheduler(org.springframework.scheduling.TaskScheduler)`:

     @Configuration
     @EnableWebSocket
     public class WebSocketConfig implements WebSocketConfigurer {

       public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
         registry.addHandler(myHandler(), "/echo")
                 .withSockJS()
                 .setTaskScheduler(myScheduler());
       }

       // ...

`protected void` `registerWebSocketHandlers(WebSocketHandlerRegistry registry)`
`org.springframework.web.servlet.HandlerMapping` `webSocketHandlerMapping()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketConfigurationSupport

    public WebSocketConfigurationSupport()

### Method Detail

#### webSocketHandlerMapping

    @Bean
    public org.springframework.web.servlet.HandlerMapping webSocketHandlerMapping()

#### registerWebSocketHandlers

    protected void registerWebSocketHandlers(WebSocketHandlerRegistry registry)

#### defaultSockJsTaskScheduler

    @Bean
     @Nullable
    public org.springframework.scheduling.TaskScheduler defaultSockJsTaskScheduler()

The default TaskScheduler to use if none is registered explicitly via `SockJsServiceRegistration.setTaskScheduler(org.springframework.scheduling.TaskScheduler)`:

     @Configuration
     @EnableWebSocket
     public class WebSocketConfig implements WebSocketConfigurer {

       public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
         registry.addHandler(myHandler(), "/echo")
                 .withSockJS()
                 .setTaskScheduler(myScheduler());
       }

       // ...
     }